Skip to main content
GET
Get Stake state by Eigenpod.
This endpoint allows you to query the daily stake and shares balance of a specific eigenpod based on their operator address, the specific strategy, and token address.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Rated-Network
enum<string>
default:mainnet
Available options:
mainnet,
hoodi,
holesky

Path Parameters

eigenpod_address
string
required

Query Parameters

limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

toDate
string<date> | null

End date

Example:

"2023-12-31"

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
EigenlayerEigenpodDailyState · object[]
required